Announcement Announcement Module
Collapse
No announcement yet.
Roo JSF fails to run on CloudFoundry due to EL Expressions Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • Roo JSF fails to run on CloudFoundry due to EL Expressions

    Basically it's not possible to run Roo Jsf with CloudFoundry because Roo JSF requires EL 2.2 and CloudFoundry runs Tomcat 6 which does not support EL 2.2

    The only advice I could find is to provide remove the provided EL impl and provide a new one (see http://stackoverflow.com/questions/2...-tomcat-6-0-24). But this wont work as you'll also need to be able to remove the EL jar from the Tomcat server lib, and there is no way on CloudFoundry to do that. Without removing the jar I get "java.lang.NoClassDefFoundError: javax/el/ValueReference" due to the old EL jar.

    Has anyone found a way round this?

    Cheers,
    Menno
Working...
X